--
-- BOF: C:\+SAESA\A+FINGER\FINGER04.SQL
--
-- SQL script creator for MSSQL database [INDEX]
-- Created: 2007/07/25 - 06:02:01PM
--

PRINT 'dbo.Template'
IF EXISTS (SELECT 1 FROM SYSINDEXES
           WHERE NAME = 'PK_IDTemplate'
             AND SYSINDEXES.ID   = OBJECT_ID ('dbo.Template')
             AND SYSINDEXES.INDID BETWEEN 1 AND 254)
  DROP INDEX dbo.Template.PK_IDTemplate
GO

ALTER TABLE dbo.Template ADD
  CONSTRAINT PK_IDTemplate
  PRIMARY KEY (IDTemplate)
GO

IF EXISTS (SELECT 1 FROM SYSINDEXES
           WHERE NAME = 'LK_IDUser'
             AND SYSINDEXES.ID   = OBJECT_ID ('dbo.Template')
             AND SYSINDEXES.INDID BETWEEN 1 AND 254)
  DROP INDEX dbo.Template.LK_IDUser
GO

CREATE INDEX LK_IDUser
  ON dbo.Template
  (IDUser)
GO

IF EXISTS (SELECT 1 FROM SYSINDEXES
           WHERE NAME = 'AK_TemplateSize'
             AND SYSINDEXES.ID   = OBJECT_ID ('dbo.Template')
             AND SYSINDEXES.INDID BETWEEN 1 AND 254)
  DROP INDEX dbo.Template.AK_TemplateSize
GO

CREATE INDEX AK_TemplateSize
  ON dbo.Template
  (TemplateSize)
GO

--
-- EOF: C:\+SAESA\A+FINGER\FINGER04.SQL
--
